﻿/*ifram*/

.containerIfram16by9 {
    position: relative;
    overflow: hidden;
    width: 100%;
    padding-top: 56.25%; /* 16:9 Aspect Ratio (divide 9 by 16 = 0.5625) */
}

/* Then style the iframe to fit in the container div with full height and width */
.responsive-ifram {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
}

.containerIfram8by11 {
    position: relative;
    overflow: hidden;
    width: 100%;
    padding-top:137.5%; /* 8:11 Aspect Ratio */
}

.containerIfram4by3 {
    position: relative;
    overflow: hidden;
    width: 100%;
    padding-top: 75%; /* 4:3 Aspect Ratio */
}
.containerIfram8by5 {
    position: relative;
    overflow: hidden;
    width: 100%;
    padding-top: 62.5%; /* 8:5 Aspect Ratio */
}

.containerIfram3by2 {
    position: relative;
    overflow: hidden;
    width: 100%;
    padding-top: 66.66%; /* 3:2 Aspect Ratio */
}
.containerIfram1by1 {
    position: relative;
    overflow: hidden;
    width: 100%;
    padding-top: 100%; /* 1:1 Aspect Ratio */
}

/*ifram*/




.info-box-1 {
    padding: 50px 40px;
    border-radius: 6px;
    text-align: center;
    margin-bottom: 30px;
    background: #fff;
    -webkit-box-shadow: none;
    box-shadow: none;
    border: 1px solid #e0e6ed;
    max-width: 800px;
}


/*Remove Arrows/Spinners from number input*/
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}
/*Remove Arrows/Spinners from number input*/


::-webkit-input-placeholder { /* WebKit browsers */
    text-transform: none;
}

:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
    text-transform: none;
}

::-moz-placeholder { /* Mozilla Firefox 19+ */
    text-transform: none;
}

:-ms-input-placeholder { /* Internet Explorer 10+ */
    text-transform: none;
}

::placeholder { /* Recent browsers */
    text-transform: none;
}
.sidebar-wrapper {
    width: 255px;
    position: fixed;
    z-index: 1040 !important;
    transition: width 0.6s;
    height: 100vh;
    touch-action: none;
    user-select: none;
    -webkit-user-drag: none;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    box-shadow: 5px 0 25px 0 rgba(94, 92, 154, 0.06);
    left: 0;
}
.card.style-3 .card-img, .card.style-3 .card-img-top {
    border-radius: 15px;
    box-shadow: none;
    border:1px solid #e7e7e7;
    width: 50%;
    margin-right: 25px;
    height:208px;
}


@media (max-width: 575px) {
    .card.style-3 .card-img, .card.style-3 .card-img-top {
        width: 100%; 
        height: auto;
        margin-bottom: 15px;
        
    }

    .card.style-3 {
        flex-direction: column;
        text-align:center;
    }

}

.modal-content {
    background: #ffffff;
}




.swal2-confirm {
    background-color: #4361ee !important;
}



.form-control[readonly]:not(.flatpickr-input) {
    background-color: #f1f2f3;
    cursor: no-drop;
    color: #3b3f5c;
}

/*Theme Layout Changes*/
.layout-boxed {
    background: #ffffff !important;
}

@media (min-width:992px) {


    .sidebar-wrapper {
        width: 460px;
        position: fixed;
        z-index: 1030;
        transition: width 0.6s;
        height: 100vh;
        touch-action: none;
        user-select: none;
        -webkit-user-drag: none;
        -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
        box-shadow: none;
        left: 0;
        border-right: 1px solid #e7e7e7;
    }

    #content {
        width: 50%;
        flex-grow: 8;
        margin-top: 70px;
        margin-bottom: 0;
        margin-left: 460px;
        -webkit-transition: 0.3s ease all;
        transition: 0.3s ease all;
    }


    .header-container.container-xxl {
        left: 460px;
    }


    .header-container {
        background: #fff;
        background-color: rgb(255, 255, 255);
        z-index: 1030;
        position: fixed;
        top: 0;
        margin-top: 10px;
        right: 0;
        left: 279px;
        -webkit-transition: 0.3s left, 0s padding;
        transition: 0.3s left, 0s padding;
        backdrop-filter: blur(31px);
        padding: 11px 20px 11px 16px;
        min-height: 62px;
        width: calc(100% - 460px - 96px);
        border-radius: 0;
        -webkit-box-shadow: 0;
        -moz-box-shadow: 0;
        box-shadow: 0;
        background-color: none;
        -webkit-backdrop-filter: none;
        backdrop-filter: none;
        border: none;
        box-shadow: none;
    }

    .layout-px-spacing {
        padding: 0 48px !important;
        min-height: calc(100vh - 112px) !important;
    }

    #sidebar ul.menu-categories {
        position: relative;
        padding: 5px 60px 20px 60px;
        margin: auto;
        width: 100%;
        overflow: auto;
    }

    #sidebar .theme-brand {
        background-color: #fff;
        padding: 10px 12px 6px 61px;
        border-bottom: 1px solid #fff;
        border-radius: 8px 6px 0 0;
        justify-content: space-between;
    }
}

@media (max-width: 991px) {

    .layout-px-spacing {
        padding: 0 16px !important;
        min-height: calc(100vh - 112px) !important;
    }

    #content {
        margin-left: 0px;
    }


    .header-container.container-xxl {
        left: 0px;
    }

    .sidebar-wrapper {
        z-index: 1031;
    }
}
/*Theme Layout Changes*/
